﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace IndexOnXAxisLabels
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = GeoLocations.Locations;
        }
    }

    public class ItemToIndexConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Bus item = values[0] as Bus;
            ObservableCollection<Bus> items = values[1] as ObservableCollection<Bus>;
            if (item != null && items != null)
            {
                return items.IndexOf(item).ToString();
            }

            return "tesst";
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public static class GeoLocations
    {
        private static ObservableCollection<Bus> locations;
        public static ObservableCollection<Bus> Locations
        {
            get
            {
                if (locations == null)
                {
                    locations = new ObservableCollection<Bus>
                    {
                        new Bus { BusVoltageMagnitude = 1.0 },
                        new Bus { BusVoltageMagnitude = .5 },
                        new Bus { BusVoltageMagnitude = .6 },
                        new Bus { BusVoltageMagnitude = 1.2 },
                    };
                }

                return locations;
            }
        }
    }

    public class Bus
    {
        public double BusVoltageMagnitude { get; set; }
    }

}
